Improve error message when trying to access an archived project
Status: Closed Start date: 2009-03-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed   

Description

If you try to access an issue that is inside a project that has been archived Redmine throws a 403 error. This is confusing: perhaps

Redmine should tell the user that the project in question has been archived instead? E.g.

"This project has been archived. To access this issue you will need to unarchive the issue at /admin/projects".

(The code in question is at line 233 inside user.rb (inside def allowed_to?) where Redmine checks to see if the parent project of the

requested issue is active and returns a 403 if not)

Related issues:

Related to Redmine - Feature #4202: Allow viewing of tickets for archived pro... Closed 2009-11-12

Associated revisions

Revision 4285 - 2010-10-23 11:48 - Jean-Philippe Lang

Improved error message when trying to access an archived project (#2995).

History

#1 - 2009-03-23 00:02 - James Robertson

Alternatively, it would be good to have a way of 'closing' projects (to new tickets and from projects listings), but to still allow existing tickets to be

viewed.

#2 - 2009-05-05 02:39 - Eric Davis

- Status changed from New to 7

- Assignee set to Eric Davis

I think the best option would be to tell the user that the project was archived.  I archive projects when they are closed to prevent people from working

on them.

#3 - 2009-11-11 18:18 - Jean-Philippe Lang

- Subject changed from 403 error thrown when trying to access an issue within an Archived project to Improve error message when trying to access an

archived project

#4 - 2009-11-11 18:18 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#5 - 2009-11-12 01:26 - James Robertson

[Please also refer to related feature request: #4202]

#6 - 2010-10-23 11:42 - Jean-Philippe Lang

- Status changed from 7 to Closed

- Assignee deleted (Eric Davis)

- Target version set to 1.1.0

- Resolution set to Fixed

Done in r4285.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/issues/4202
https://www.redmine.org/projects/redmine/repository/svn/revisions/4285
http://www.tcpdf.org

